/*
* PubMatic Inc. ("PubMatic") CONFIDENTIAL
* Unpublished Copyright (c) 2006-2021 PubMatic, All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of PubMatic. The intellectual and technical concepts contained
* herein are proprietary to PubMatic and may be covered by U.S. and Foreign Patents, patents in process, and are protected by trade secret or copyright law.
* Dissemination of this information or reproduction of this material is strictly forbidden unless prior written permission is obtained
* from PubMatic.  Access to the source code contained herein is hereby forbidden to anyone except current PubMatic employees, managers or contractors who have executed
* Confidentiality and Non-disclosure agreements explicitly covering such access or to such other persons whom are directly authorized by PubMatic to access the source code and are subject to confidentiality and nondisclosure obligations with respect to the source code.
*
* The copyright notice above does not evidence any actual or intended publication or disclosure  of  this source code, which includes
* information that is confidential and/or proprietary, and is a trade secret, of  PubMatic.   ANY REPRODUCTION, MODIFICATION, DISTRIBUTION, PUBLIC  PERFORMANCE,
* OR PUBLIC DISPLAY OF OR THROUGH USE  OF THIS  SOURCE CODE  WITHOUT  THE EXPRESS WRITTEN CONSENT OF PUBMATIC IS STRICTLY PROHIBITED, AND IN VIOLATION OF APPLICABLE
* LAWS AND INTERNATIONAL TREATIES.  THE RECEIPT OR POSSESSION OF  THIS SOURCE CODE AND/OR RELATED INFORMATION DOES NOT CONVEY OR IMPLY ANY RIGHTS
* TO REPRODUCE, DISCLOSE OR DISTRIBUTE ITS CONTENTS, OR TO MANUFACTURE, USE, OR SELL ANYTHING THAT IT  MAY DESCRIBE, IN WHOLE OR IN PART.
*/

#import "POBAuctioning.h"
#import "POBBidderProvider.h"
#import "POBCustomRendererProvider.h"
#import "POBBid.h"

#ifndef POBBiddingPartnerService_h
#define POBBiddingPartnerService_h

@protocol POBTrackerHandling;
/*!
 Price granularity block takes ad descriptor as input & returns dictionary containing targeting attributes (e.g. pwtpb:<bucketed_price>)
 */
typedef NSDictionary *(^PriceGranularityBlock)(id<POBAdDescriptor>);

/*!
 Lists the method for interacting with partner service instance
 */
@protocol POBBiddingPartnerService <POBBidderProvider, POBCustomRendererProvider>

/*!
 @abstract Return the  the acutioner object
 @result acutioner object conforming to POBAuctioning
 */
- (id<POBAuctioning>)getAuctioner;

/*!
 @abstract Return the  the tracker handler object
 @param partnerInfo The partner info containing bidder specific details
 @param bids List of bids received by that partner
 @result tracker handler object conforming to POBTrackerHandling
*/
- (id<POBTrackerHandling>)trackerHandlerForPartner:(POBPartnerInfo *)partnerInfo
                                              bids:(NSArray<POBBid *> *)bids;

/*!
 @abstract Returns the price granularity block
 */
- (PriceGranularityBlock)priceGranularityBlock;

@end

#endif /* POBBiddingPartnerService_h */
